Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

Query Parameters

userId
string<string>

user id of the user.userId is recommended, could be more stable and faster than userName.userId and userName are mutually exclusive. If both are provided, userId will be used.

userName
string<string>

screen name of the user.userId and userName are mutually exclusive. If both are provided, userId will be used.

cursor
string<string>

The cursor to paginate through the results. First page is "".

includeReplies
boolean
default:false

Whether to include replies in the results. Default is False.

Response

Tweets response

tweets
object[]
required

Array of tweets

has_next_page
boolean
required

Indicates if there are more results available

next_cursor
string
required

Cursor for fetching the next page of results

status
enum<string>
required

Status of the request.success or error

Available options:
success,
error
message
string
required

Message of the request.error message